### Method

# Ide RuntimeManager get_runtime

#### Declaration

    IdeRuntime*
    ide_runtime_manager_get_runtime (
      IdeRuntimeManager* self,
      const gchar* id
    )

#### Description

Gets the runtime by its internal identifier.

Available since: | 3.32

#### Parameters

`id` | `const gchar*`
| The identifier of the runtime.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeRuntime`
| An `IdeRuntime`.
| The data is owned by the instance.